Bug 1122945 - [rhevm-cli]: update vm has no --memory_policy-guaranteed option
Summary: [rhevm-cli]: update vm has no --memory_policy-guaranteed option
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-restapi
Version: 3.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.4.3
Assignee: Juan Hernández
QA Contact: Ilanit Stein
URL:
Whiteboard: infra
Depends On: 1082594
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-24 12:57 UTC by Scott Herold
Modified: 2016-02-10 19:33 UTC (History)
17 users (show)

Fixed In Version: rhevm-sdk-python-3.4.3.0-1.el6ev
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Clone Of: 1082594
Environment:
Last Closed: 2014-10-23 12:09:31 UTC
oVirt Team: Infra


Attachments (Terms of Use)
Patch for the Python SDK (9.25 KB, patch)
2014-07-24 15:43 UTC, Juan Hernández
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:1704 normal SHIPPED_LIVE rhevm-sdk-python bug fix update 2014-10-23 16:08:57 UTC
oVirt gerrit 29936 None None None Never
oVirt gerrit 30007 None None None Never
oVirt gerrit 30683 ovirt-engine-3.4 MERGED restapi: Fix update VM optional parameters Never

Comment 1 Juan Hernández 2014-07-24 14:33:40 UTC
The fix has been merged in the engine, now the Python SDK needs to be regenerated.

Comment 2 Juan Hernández 2014-07-24 15:43:00 UTC
Created attachment 920600 [details]
Patch for the Python SDK

Comment 4 Juan Hernández 2014-08-21 09:22:37 UTC
Changing back to MODIFIED as the package hasn't been delivered to QE yet.

Comment 9 Ilanit Stein 2014-10-07 09:14:47 UTC
Verified on av12.1 (3.4.3).
rhevm-sdk-python-3.4.4.0-1.el6ev.noarch
rhevm-cli-3.4.0.6-4.el6ev.noarch

Note that any value smaller than 2^20 set to memory_policy-guaranteed,
will be silently rounded down to zero, and there will be no update.

Comment 11 errata-xmlrpc 2014-10-23 12:09:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2014-1704.html


Note You need to log in before you can comment on or make changes to this bug.